Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools
Class BaseTool

    java.lang.Object
      oracle.ifs.admin.tools.BaseTool

Direct Known Subclasses:
  AccessControlListResolverTool, CreatePolicyList, FolderIndexTool

    public abstract class BaseTool

extends java.lang.Object

BaseTool is an abstract base class for tools that perform some simple actions after starting a service and creating a session. Subclasses of this base class can run non-interactively or via a rudimentary commandline dialog obtain session and service credentials.

(Unpublished)

Constructor Summary
`BaseTool(java.lang.String[] args)` Constructor.

Method Summary
`void` | `disconnectSession(LibrarySession session)` Disconnect a LibrarySession.
`LibrarySession` | `establishSession(LibraryService service)` Create a LibrarySession, using schema password authentication
`LibrarySession` | `establishSession(LibraryService service, Credential cred)` Create a LibrarySession.
`boolean` | `gatherCredentials()` Gather credential settings.
`java.lang.String` | `getDatabaseUrl()` Get the String specified for the iFS database url.
`java.lang.String` | `getDomain()` Get the String specified for the domain.
`java.lang.String` | `getDomainDisplayName()` Get the String specified for the iFS domain display name.
`int` | `getExitCode()` Get the exit code.
`ParameterTable` | `getParameterTable()` Get the ParameterTable
`java.lang.String` | `getSchemaName()` Get the String specified for the iFS schema name.
`java.lang.String` | `getSchemaPassword()` Get the String specified for the iFS schema password.
`java.lang.String` | `getServiceConfigurationName()` Get the String specified for the service configuration.
`java.lang.String` | `getServiceName()` Get the String specified for the iFS service to start.
`boolean` | `isVerboseLoggingEnabled()` Get the verbosity setting.
`void` | `log()` Puts out a blank line to the log
`void` | `log(java.lang.String msg)` Puts out a string to the log
`void` | `log(java.lang.Throwable throwable)` Puts out an exception to the log
`void` | `printStackTrace(java.lang.Throwable e)` Add stack trace to the log.
`void` | `setExitCode(int code)` Sets the exit code.
`void` | `showBanner(java.lang.String toolName)` Puts out a tool banner
`void` | `showExiting(java.lang.String toolName)` Puts out an "exiting" banner
`LibraryService` | `startService()` Starts a LibraryService.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseTool

    public BaseTool(java.lang.String[] args)

  Constructor.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

Method Detail

### getParameterTable

    public ParameterTable getParameterTable()

  Description copied from class: `BaseTool`
  Get the ParameterTable

  Returns:
    the ParameterTable
  (Unpublished)

### isVerboseLoggingEnabled

    public boolean isVerboseLoggingEnabled()

  Description copied from class: `BaseTool`
  Get the verbosity setting.

  Returns:
    true if verbose logging is desired
  (Unpublished)

### getDomain

    public java.lang.String getDomain()

  Description copied from class: `BaseTool`
  Get the String specified for the domain. Return null if not set.

  Returns:
    the domain
  (Unpublished)

### getServiceConfigurationName

    public java.lang.String getServiceConfigurationName()

  Description copied from class: `BaseTool`
  Get the String specified for the service configuration. Return null if not set.

  Returns:
    the service configuration
  (Unpublished)

### getServiceName

    public java.lang.String getServiceName()

  Description copied from class: `BaseTool`
  Get the String specified for the iFS service to start. Return null if not set.

  Returns:
    the service name
  (Unpublished)

### getSchemaName

    public java.lang.String getSchemaName()

  Description copied from class: `BaseTool`
  Get the String specified for the iFS schema name. Return null if not set.

  Returns:
    the schema name
  (Unpublished)

### getDomainDisplayName

    public java.lang.String getDomainDisplayName()

  Description copied from class: `BaseTool`
  Get the String specified for the iFS domain display name. Return null if not set.

  Returns:
    the domain display name
  (Unpublished)

### getDatabaseUrl

    public java.lang.String getDatabaseUrl()

  Description copied from class: `BaseTool`
  Get the String specified for the iFS database url. Return null if not set.

  Returns:
    the database url
  (Unpublished)

### getSchemaPassword

    public java.lang.String getSchemaPassword()

  Description copied from class: `BaseTool`
  Get the String specified for the iFS schema password. Return null if not set.

  Returns:
    the schema password
  (Unpublished)

### getExitCode

    public int getExitCode()

  Description copied from class: `BaseTool`
  Get the exit code. This defaults to 0.

  Returns:
    the exit code
  (Unpublished)

### setExitCode

    public void setExitCode(int code)

  Description copied from class: `BaseTool`
  Sets the exit code.

  Parameters:
    `code` - the exit code
  (Unpublished)

### gatherCredentials

    public boolean gatherCredentials()

  Description copied from class: `BaseTool`
  Gather credential settings. This returns true if all four required credential strings have been specified. If the strings are not specified, this method will prompt the user to enter them fromthe command line, if interactive credential mode is enabled (which it is by default). Returns false if the credentials are not specified even after prompting for them.

  Returns:
    true if credentials are completely specified
  (Unpublished)

### startService

    public LibraryService startService()
                                throws java.lang.Exception

  Description copied from class: `BaseTool`
  Starts a LibraryService. The credentials and other options are obtianed from user inputs (see gatherCredentials).

  Returns:
    the LibraryService
  Throws:
    `java.lang.Exception` - if operation fails
  (Unpublished)

### establishSession

    public LibrarySession establishSession(LibraryService service)
                                    throws java.lang.Exception

  Description copied from class: `BaseTool`
  Create a LibrarySession, using schema password authentication

  Parameters:
    `service` - the LibraryService
  Returns:
    the LibrarySession
  Throws:
    `java.lang.Exception` - if operation fails
  (Unpublished)

### establishSession

    public LibrarySession establishSession(LibraryService service,
                                           Credential cred)
                                    throws java.lang.Exception

  Description copied from class: `BaseTool`
  Create a LibrarySession. The credential is specified expicitly.

  Parameters:
    `service` - the LibraryService
    `cred` - the Credential
  Returns:
    the LibrarySession
  Throws:
    `java.lang.Exception` - if operation fails
  (Unpublished)

### disconnectSession

    public void disconnectSession(LibrarySession session)

  Description copied from class: `BaseTool`
  Disconnect a LibrarySession.

  Parameters:
    `session` - the LibrarySession
  (Unpublished)

### showBanner

    public void showBanner(java.lang.String toolName)
                    throws IfsException

  Description copied from class: `BaseTool`
  Puts out a tool banner

  Parameters:
    `toolName` - the tool name
  Throws:
    `IfsException` - if unable to get version string
  (Unpublished)

### showExiting

    public void showExiting(java.lang.String toolName)

  Description copied from class: `BaseTool`
  Puts out an "exiting" banner

  Parameters:
    `toolName` - the tool name
  (Unpublished)

### log

    public void log()

  Description copied from class: `BaseTool`
  Puts out a blank line to the log

  (Unpublished)

### log

    public void log(java.lang.String msg)

  Description copied from class: `BaseTool`
  Puts out a string to the log

  Parameters:
    `msg` - the String
  (Unpublished)

### log

    public void log(java.lang.Throwable throwable)

  Description copied from class: `BaseTool`
  Puts out an exception to the log

  Parameters:
    `throwable` - the exception
  (Unpublished)

### printStackTrace

    public void printStackTrace(java.lang.Throwable e)

  Description copied from class: `BaseTool`
  Add stack trace to the log.

  Parameters:
    `e` - the exception for which to print a stack trace
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD